.filter {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 10px 0;
    flex-direction: column;
    gap: 10px;
}

.filter_form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.filter_categories {
    width: 100%;
    border-radius: 20px;
    border: 1px solid var(--cor-borda-media);
    background: var(--cor-fundo-secundario);
    display: flex;
    padding: 20px;
    flex-direction: column;
    gap: 10px;
}

.filter_categories h2 {
    color: var(--cor-texto-principal);
    font-size: 18px;
    font-weight: 600;
    line-height: 21px;
}

.filter_categories-list {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.filter_categories-list li {
    width: 100%;
}

.filter_categories-list li .filter_category {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: center;
    cursor: pointer;
}

.filter_categories-list li .filter_category input[type="radio"] {
    display: none;
}

.filter_categories-list li .filter_category .filter_category-name {
    color: var(--cor-texto-principal);
    font-size: 14px;
    font-weight: 500;
    line-height: 21px;
    transition: all .3s ease-in-out;
}

.filter_categories-list li .filter_category .filter_category-name:hover {
    color: var(--cor-primaria);
}

.filter_category input[type="radio"]:checked+.filter_category-name {
    color: var(--cor-primaria);
}

.filter_category input[type="radio"]:checked+.filter_category-name+.filter_category-count {
    background: var(--cor-primaria);
    border-color: var(--cor-primaria);
    color: var(--cor-texto-claro);
}


.filter_categories-list li .filter_category .filter_category-count {
    border-radius: 20px;
    border: 1px solid var(--cor-borda-media);
    background: var(--cor-fundo-secundario);
    width: 30px;
    height: 30px;
    color: var(--cor-texto-principal);
    font-size: 14px;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 21px;
}

.filter_tags {
    width: 100%;
    border-radius: 20px;
    border: 1px solid var(--cor-borda-media);
    background: var(--cor-fundo-secundario);
    display: flex;
    padding: 20px;
    flex-direction: column;
    gap: 10px;
}

.filter_tags h2 {
    color: var(--cor-texto-principal);
    font-size: 18px;
    font-weight: 600;
    line-height: 21px;
}

.filter_tags-list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}


.filter_tags-list li {
    display: flex;
    align-items: center;
    justify-content: center;
}

.filter_tags-list li.filter-hidden {
    display: none;
}

.filter_tags-list li label {
    border-radius: 10px;
    border: 1px solid var(--cor-borda-media);
    background: var(--cor-fundo-principal);
    padding: 5px 10px;
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.filter_tags-list li label input {
    display: none;
}

.filter_tags-list li label span {
    color: var(--cor-texto-principal);
    font-size: 14px;
    font-weight: 500;
    text-transform: capitalize;
    line-height: 21px;
}

.filter_tags-list li label:hover {
    background-color: var(--cor-primaria);
    border: 1px solid var(--cor-primaria);

}

.filter_tags-list li label:hover span {
    color: var(--cor-texto-claro);
}


.filter_tag:has(input:checked) {
    background-color: var(--cor-primaria);
    border-color: var(--cor-primaria);
}

.filter_tag:has(input:checked) span {
    color: var(--cor-texto-claro);
}

.filter_submit {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    border-radius: 10px;
    background: var(--cor-primaria);
    border: 1px solid var(--cor-primaria);
    color: var(--cor-texto-claro);
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;
    line-height: 18px;
    transition: all .3s ease-in-out;
}

.filter_submit:hover {
    color: var(--cor-primaria);
    background-color: transparent;
}

.filter-close {
    display: none;
}

.filter-toggle {
    padding: 5px 10px;
    border: 1px solid var(--cor-borda-media);
    border-radius: 5px;
    font-size: 12px;
    color: var(--cor-texto-suave);
    cursor: pointer;
    transition: all .3s ease-in-out;
}

.filter-toggle:hover {
    border-color: var(--cor-primaria);
    background-color: var(--cor-primaria);
    color: var(--cor-texto-claro)
}

.filter-hidden {
    display: none;
}

/* Responsividade */
@media screen and (max-width: 991px) {
    .filter-close {
        width: 30px;
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .filter-close svg {
        width: 30px;
        height: 30px;
    }
}